using SewerStammGen.WPF.Interface.Navigator;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SewerStammGen.WPF.ViewModel.State.Navigation
{
    internal class MainWindowNavigator : ObservableObject, IMainWindowNavigator
    {
        private BaseViewModel _currentViewModel = new BaseViewModel();
        public BaseViewModel CurrentViewModel
        {
            get => _currentViewModel;
            set
            {
                _currentViewModel?.Dispose();
                _currentViewModel = value;
                StateChanged?.Invoke();
            }
        }
        public event Action StateChanged;
    }
}
